channels:
  - conda-forge
dependencies:
  - python=3.9
  - dask
  - distributed
  - pip
  # ome: minimal dependencies required to use the Python API
  - omero-py
  - pandas
  - scikit-image
  - pip:
    - ome-zarr
    - dask-image
    - stardist==0.8.1
    - keras==2.6
    # dependency used to convert the OMERO masks into numpy array
    - omero-cli-zarr
    # dependency to save the labels as geojson file
    - geojson
    - tensorflow==2.6.*
